org.eclipse.emf.facet.custom.ui

## Class ImageUtils

- java.lang.Object
- - org.eclipse.emf.facet.custom.ui.ImageUtils

    public final class ImageUtils
    extends java.lang.Object

Since:
  0.2

### Method Summary

All Methods Static Methods Concrete Methods
`static Image` `unwrap(IImage image)` Returns the SWT `Image` represented by this `IImage`
`static IImage` `wrap(Image image)` Creates an `IImage` that wraps the given SWT `Image`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static IImage wrap(Image image)

Creates an `IImage` that wraps the given SWT `Image`

#### unwrap

    public static Image unwrap(IImage image)

Returns the SWT `Image` represented by this `IImage`

Parameters:
  `image` - the image to unwrap
Returns:
  the SWT image, or `null` if the `IImage` doesn't wrap a SWT image